Subject: bug#54959: closed (Re: bug#54959: [PATCH 0/1] gnu: Add pikchr.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Apr 2022 20:40:01 +0000

Your bug report

#54959: [PATCH 0/1] gnu: Add pikchr.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54959: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54959
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54959: [PATCH 0/1] gnu: Add pikchr.
From: Ludovic Courtès <[email-masked]>
To: pukkamustard <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Apr 2022 22:39:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

pukkamustard <[email-masked]> skribis:

> * gnu/packages/pikchr.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.

I tweaked the version number according to our guidelines (info "(guix)
Version Numbers"), wrapped the description as recommended by ‘guix
lint’, and committed the result.

Thanks!

Ludo’.

Subject: [PATCH 0/1] gnu: Add pikchr.
From: pukkamustard <[email-masked]>
To: [email-masked]
Cc: pukkamustard <[email-masked]>
Date: Fri, 15 Apr 2022 15:51:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

This patch adds pikchr (https://pikchr.org/home/doc/trunk/homepage.md), a tool
for generating diagrams.

Two notes:

- I've placed it in gnu/packages/pikchr.scm because I couldn't find another
  good place. Very happy to move it anywhere else if it makes more sense.
- Upstream doesn't release any numbered versions. The version is the identifier
  of the most recent VCS (Fossil) check-in.

Thanks,
pukkamustard

pukkamustard (1):
  gnu: Add pikchr.

 gnu/local.mk            |  1 +
 gnu/packages/pikchr.scm | 52 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)
 create mode 100644 gnu/packages/pikchr.scm

-- 
2.34.0